Batch update followed traders
curl --request PATCH \
--url https://carboncopy.inc/api/v1/portfolio/traders/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updates": [
{
"walletAddress": "0xAbCd1234...",
"copyPercentage": 50,
"maxCopyAmount": 123,
"notificationsEnabled": true,
"copyTradingEnabled": true
}
]
}
'import requests
url = "https://carboncopy.inc/api/v1/portfolio/traders/batch"
payload = { "updates": [
{
"walletAddress": "0xAbCd1234...",
"copyPercentage": 50,
"maxCopyAmount": 123,
"notificationsEnabled": True,
"copyTradingEnabled": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updates: [
{
walletAddress: '0xAbCd1234...',
copyPercentage: 50,
maxCopyAmount: 123,
notificationsEnabled: true,
copyTradingEnabled: true
}
]
})
};
fetch('https://carboncopy.inc/api/v1/portfolio/traders/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"walletAddress": "<string>",
"success": true,
"error": "<string>"
}
]
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key."
}
}{
"error": {
"code": "forbidden",
"message": "This key does not have the required scope."
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded. Retry after 30 seconds."
}
}Follow Management
Batch update followed traders
Update copy settings for up to 100 followed traders in a single request.
PATCH
/
api
/
v1
/
portfolio
/
traders
/
batch
Batch update followed traders
Authorizations
API key in the format cc_<64 hex characters>. Obtain from the Dashboard under Settings → API Keys.
Body
application/json
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Response
Results for each update in the batch.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

